Bug 1495172 - Search not working as expected with preferred layout (non latin) for control-center, nautilus & gnome-software
Summary: Search not working as expected with preferred layout (non latin) for control-...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 34
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1627011
TreeView+ depends on / blocked
 
Reported: 2017-09-25 12:07 UTC by vishal vijayraghavan
Modified: 2021-05-17 04:24 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1627011 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Screenshot showing gnome-control-center search input (30.54 KB, image/png)
2017-09-25 12:07 UTC, vishal vijayraghavan
no flags Details
Screenshot showing gnome-software search input (508.62 KB, image/png)
2017-09-25 12:10 UTC, vishal vijayraghavan
no flags Details
Screenshot showing nautilus search input (41.52 KB, image/png)
2017-09-25 12:13 UTC, vishal vijayraghavan
no flags Details
Screenshot showing f27 beta 1.5 workstation software search input (307.75 KB, image/png)
2017-10-01 18:24 UTC, vishal vijayraghavan
no flags Details
Screenshot showing f27 beta 1.5 workstation nautilus search input (50.14 KB, image/png)
2017-10-01 18:25 UTC, vishal vijayraghavan
no flags Details
Screenshot showing f27 beta 1.5 workstation gnome-control-center search input (72.36 KB, image/png)
2017-10-01 18:26 UTC, vishal vijayraghavan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1493039 0 unspecified CLOSED Searching for the input method “New Zhuyin” does not work. 2021-02-22 00:41:40 UTC

Internal Links: 1493039

Description vishal vijayraghavan 2017-09-25 12:07:44 UTC
Created attachment 1330499 [details]
Screenshot showing gnome-control-center search input

Description of problem:
Inputting first character of preferred keyboard layout fallback to English when searched (searched for the first time) in gnome-control-center, nautilus and gnome-software.


Version-Release number of selected component (if applicable):
control-center-3.26.0-1.fc27
nautilus-3.26.0-1.fc27
gnome-software-3.26.0-1.fc27.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Do successful anaconda installation in your preferred LANG
2. Post login, launch 'gnome-control-center'
3. Select desired keyboard layout (non en_US) and input search term (eg : "help")


Actual results:
Inputting first character fallback to English 


Expected results:
Inputting first character should happen in native LANG / locale


Additional info:
1. Reported problem can also be reproduced with 'nautilus' and ‘gnome-software’
2. Please refer the attachments

Comment 1 vishal vijayraghavan 2017-09-25 12:10:41 UTC
Created attachment 1330512 [details]
Screenshot showing gnome-software search input

Comment 2 vishal vijayraghavan 2017-09-25 12:13:22 UTC
Created attachment 1330514 [details]
Screenshot showing nautilus search input

Comment 3 fujiwara 2017-09-27 03:07:40 UTC
Currently I cannot open GNOME desktop as it hangs up.
I tried to run above application in XFCE desktop and I cannot reproduce your problem.
Probably I bring back this after the beta is released.

Comment 4 fujiwara 2017-09-29 07:04:59 UTC
Now I could try your applications Fedora 27 Beta 1.3 Live DVD and I cannot reproduce your problem.

Comment 5 vishal vijayraghavan 2017-10-01 18:24:22 UTC
Created attachment 1332957 [details]
Screenshot showing f27 beta 1.5 workstation software search input

Comment 6 vishal vijayraghavan 2017-10-01 18:25:22 UTC
Created attachment 1332958 [details]
Screenshot showing f27 beta 1.5 workstation nautilus search input

Comment 7 vishal vijayraghavan 2017-10-01 18:26:25 UTC
Created attachment 1332959 [details]
Screenshot showing f27 beta 1.5 workstation gnome-control-center search input

Comment 8 vishal vijayraghavan 2017-10-01 18:34:01 UTC
Hi,

I tried to reproduce the reported issue on Fedora-Workstation-x86_64-27_beta-1.5_netinst image and was able to reproduce the same.

However, will try to reproduce the reported problem with Fedora-Workstation-Live-x86_64-27_Beta-1.5.iso installation


please refer the following attachments:
[1] Screenshot showing f27 beta 1.5 workstation nautilus search input 
[2] Screenshot showing f27 beta 1.5 workstation software search input
[3] Screenshot showing f27 beta 1.5 workstation gnome-control-center search input

Comment 9 Pooja Yadav 2018-07-31 09:51:40 UTC
Reproducible on Fedora-28, when we direct search(type text) without clicking on the search icon after opening gnome-control-center/nautilus/gnome-software.

Versions used for testing:
ibus-1.5.18-4.fc28.x86_64
gnome-control-center-3.28.1-2.fc28.x86_64
gnome-software-3.28.1-1.fc28.x86_64
nautilus-3.28.1-1.fc28.x86_64

This issue is not reproducible when we click on search option and then type the string to be searched.

As this is a reproducible in F28, changing version to 28.

Comment 10 Jens Petersen 2018-09-26 06:03:13 UTC
I can reproduce in F28.

Comment 11 Jens Petersen 2018-12-11 10:05:48 UTC
but I wonder if it could be a GTK issue?

Comment 12 fujiwara 2018-12-11 11:14:47 UTC
(In reply to Jens Petersen from comment #11)
> but I wonder if it could be a GTK issue?

You're right.

Now I understood the problem.

Comment 13 sachin 2019-04-03 08:07:40 UTC
Reproducible in Fedora 30, 
- If we directly started typing without clicking on search. 
- When we click on search and type issue is not reproducible

Comment 14 Akira TAGOH 2020-04-08 03:35:37 UTC
Same on f32 as described at comment#13.

Vishal, could you report this to upstream as well? or if you already did, can you add a link here?

Comment 15 vishalvvr 2020-04-20 04:37:26 UTC
(In reply to Akira TAGOH from comment #14)
> 
> Vishal, could you report this to upstream as well? or if you already did,
> can you add a link here?

Reported in upstream[1], Thanks 

[1] https://gitlab.gnome.org/GNOME/gtk/-/issues/2636

Comment 16 Fedora Program Management 2021-04-29 16:58:51 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Priyam Gupta 2021-05-17 04:24:41 UTC
#13 
Reproducible in Fedora 34, therefore moving it to F34


Note You need to log in before you can comment on or make changes to this bug.